
QGIS Application - Bug report #1663

QGIS uses wrong GRASS library.

2009-04-29 12:39 PM - cgsbob -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11723

Description

I'm trying to get qgis to work with grass 6.5 (I also have grass 7.0), but qgis crashes with an "Incompatible library version for module" fatal

error.  I compiled qgis with the correct prefix (GRASS_PREFIX=/usr/local/grass-6.5.svn ), but ldd tells me that qgis is picking up the

7.0.svn.so version of grass.

I also want to report that grass 6.5 and grass70 works well and I'm using the gdal-grass plugin which is configured for grass 6.5.

History

#1 - 2009-04-29 03:15 PM - Jürgen Fischer

setup LD_LIBRARY_PATH to point to the correct grass library path (probably /usr/local/grass-6.5.svn/lib in your case).

#2 - 2009-04-29 08:13 PM - cgsbob -

Replying to [comment:1 jef]:

setup LD_LIBRARY_PATH to point to the correct grass library path (probably /usr/local/grass-6.5.svn/lib in your case).

I put both /usr/local/grass-6.5.svn/lib and /usr/local/grass-7.0.svn/lib in LD_LIBRARY_PATH.  I reversed those two paths and now qgis starts without

crashing.  So it seems that qgis loads the first grass library...even if the library is not under the GRASS_PREFIX directory?

#3 - 2009-07-09 10:44 AM - Paolo Cavallini

Is this still valid? Seems more of a local problem.

Please report additional info, to make sure it is a general issue.

#4 - 2009-07-16 01:51 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

Closing it in absence of user feedback. Please reopen it if appropriate
